org.springframework.data.domain

## Class ExampleMatcher.GenericPropertyMatcher

- java.lang.Object
- - org.springframework.data.domain.ExampleMatcher.GenericPropertyMatcher

Enclosing interface:
  ExampleMatcher

    public static class ExampleMatcher.GenericPropertyMatcher
    extends Object

A generic property matcher that specifies `string matching` and case sensitivity.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`GenericPropertyMatcher()` Creates an unconfigured `ExampleMatcher.GenericPropertyMatcher`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected boolean` `canEqual(Object other)`
`ExampleMatcher.GenericPropertyMatcher` `caseSensitive()` Sets ignores case to false.
`ExampleMatcher.GenericPropertyMatcher` `contains()` Sets string matcher to `ExampleMatcher.StringMatcher.CONTAINING`.
`ExampleMatcher.GenericPropertyMatcher` `endsWith()` Sets string matcher to `ExampleMatcher.StringMatcher.ENDING`.
`boolean` `equals(Object o)`
`ExampleMatcher.GenericPropertyMatcher` `exact()` Sets string matcher to `ExampleMatcher.StringMatcher.EXACT`.
`int` `hashCode()`
`ExampleMatcher.GenericPropertyMatcher` `ignoreCase()` Sets ignores case to true.
`ExampleMatcher.GenericPropertyMatcher` `ignoreCase(boolean ignoreCase)` Sets ignores case to `ignoreCase`.
`static ExampleMatcher.GenericPropertyMatcher` `of(ExampleMatcher.StringMatcher stringMatcher)` Creates a new `ExampleMatcher.GenericPropertyMatcher` with a `ExampleMatcher.StringMatcher` and `ignoreCase`.
`static ExampleMatcher.GenericPropertyMatcher` `of(ExampleMatcher.StringMatcher stringMatcher, boolean ignoreCase)` Creates a new `ExampleMatcher.GenericPropertyMatcher` with a `ExampleMatcher.StringMatcher` and `ignoreCase`.
`ExampleMatcher.GenericPropertyMatcher` `regex()` Sets string matcher to `ExampleMatcher.StringMatcher.REGEX`.
`ExampleMatcher.GenericPropertyMatcher` `startsWith()` Sets string matcher to `ExampleMatcher.StringMatcher.STARTING`.
`ExampleMatcher.GenericPropertyMatcher` `storeDefaultMatching()` Sets string matcher to `ExampleMatcher.StringMatcher.DEFAULT`.
`ExampleMatcher.GenericPropertyMatcher` `stringMatcher(ExampleMatcher.StringMatcher stringMatcher)` Sets string matcher to `stringMatcher`.
`ExampleMatcher.GenericPropertyMatcher` `transform(ExampleMatcher.PropertyValueTransformer propertyValueTransformer)` Sets the `ExampleMatcher.PropertyValueTransformer` to `propertyValueTransformer`.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericPropertyMatcher

    public GenericPropertyMatcher()

Creates an unconfigured `ExampleMatcher.GenericPropertyMatcher`.

### Method Detail

#### of

    public static ExampleMatcher.GenericPropertyMatcher of(ExampleMatcher.StringMatcher stringMatcher,
                                                           boolean ignoreCase)

Creates a new `ExampleMatcher.GenericPropertyMatcher` with a `ExampleMatcher.StringMatcher` and `ignoreCase`.

Parameters:
  `stringMatcher` - must not be null.
  `ignoreCase` -
Returns:

#### of

    public static ExampleMatcher.GenericPropertyMatcher of(ExampleMatcher.StringMatcher stringMatcher)

Creates a new `ExampleMatcher.GenericPropertyMatcher` with a `ExampleMatcher.StringMatcher` and `ignoreCase`.

Parameters:
  `stringMatcher` - must not be null.
Returns:

#### ignoreCase

    public ExampleMatcher.GenericPropertyMatcher ignoreCase()

Sets ignores case to true.

Returns:

#### ignoreCase

    public ExampleMatcher.GenericPropertyMatcher ignoreCase(boolean ignoreCase)

Sets ignores case to `ignoreCase`.

Parameters:
  `ignoreCase` -
Returns:

#### caseSensitive

    public ExampleMatcher.GenericPropertyMatcher caseSensitive()

Sets ignores case to false.

Returns:

#### contains

    public ExampleMatcher.GenericPropertyMatcher contains()

Sets string matcher to `ExampleMatcher.StringMatcher.CONTAINING`.

Returns:

#### endsWith

    public ExampleMatcher.GenericPropertyMatcher endsWith()

Sets string matcher to `ExampleMatcher.StringMatcher.ENDING`.

Returns:

#### startsWith

    public ExampleMatcher.GenericPropertyMatcher startsWith()

Sets string matcher to `ExampleMatcher.StringMatcher.STARTING`.

Returns:

#### exact

    public ExampleMatcher.GenericPropertyMatcher exact()

Sets string matcher to `ExampleMatcher.StringMatcher.EXACT`.

Returns:

#### storeDefaultMatching

    public ExampleMatcher.GenericPropertyMatcher storeDefaultMatching()

Sets string matcher to `ExampleMatcher.StringMatcher.DEFAULT`.

Returns:

#### regex

    public ExampleMatcher.GenericPropertyMatcher regex()

Sets string matcher to `ExampleMatcher.StringMatcher.REGEX`.

Returns:

#### stringMatcher

    public ExampleMatcher.GenericPropertyMatcher stringMatcher(ExampleMatcher.StringMatcher stringMatcher)

Sets string matcher to `stringMatcher`.

Parameters:
  `stringMatcher` - must not be null.
Returns:

#### transform

    public ExampleMatcher.GenericPropertyMatcher transform(ExampleMatcher.PropertyValueTransformer propertyValueTransformer)

Sets the `ExampleMatcher.PropertyValueTransformer` to `propertyValueTransformer`.

Parameters:
  `propertyValueTransformer` - must not be null.
Returns:

#### canEqual

    protected boolean canEqual(Object other)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`